<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('FavoriteSongs', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('songNumber');
            $table->string('userPhone', 10);
            $table->timestamps();
        });
        // 預塞一筆資料
        DB::table('FavoriteSongs')->insert([
            'songNumber' => 999996,
            'userPhone' => '0912345678',
            'created_at' => now(),
            'updated_at' => now(),
        ]);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('FavoriteSongs');
    }
};
