@php
    use App\Enums\RoomStatus;
    $statusColors = [
        RoomStatus::Active->value => 'green-600',
        RoomStatus::Closed->value => 'gray-600',
        RoomStatus::Error->value => 'red-600',
        RoomStatus::Maintenance->value => 'yellow-600',
    ];
@endphp

<div class="border p-2 rounded shadow-md h-32 relative cursor-pointer bg-amber-50">
    <div class="font-bold">{{ $room->type->labels().".".$room->name }}</div>
    <div class="text-sm text-{{ $statusColors[$room->status->value] ?? 'gray-500' }} text-center">
        {{ $room->status->labels() }}
    </div>
</div>